[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| RedAccessor [Accessors for RGBValue] |

`#include <vigra/rgbvalue.hxx>`

List of all members.

## Public Member Functions
template<class ITERATOR, class DIFFERENCE>
value_type const & | operator() (ITERATOR const &i, DIFFERENCE d) const
template<class ITERATOR>
value_type const & | operator() (ITERATOR const &i) const
template<class V, class ITERATOR, class DIFFERENCE>
void | set (V value, ITERATOR const &i, DIFFERENCE d) const
template<class V, class ITERATOR>
void | set (V value, ITERATOR const &i) const

## Detailed Description

### template<class RGBVALUE>
class vigra::RedAccessor< RGBVALUE >

Encapsulate access to red band of an rgb value.

#include <vigra/rgbvalue.hxx>
Namespace: vigra

## Member Function Documentation

template<class ITERATOR, class DIFFERENCE>
value_type const& operator() | ( | ITERATOR const & | i,
|  | DIFFERENCE | d |
| ) |  |  | const

Get value of the red component at an offset

template<class ITERATOR>
value_type const& operator() | ( | ITERATOR const & | i | ) | const

Get value of the red component

template<class V, class ITERATOR, class DIFFERENCE>
void set | ( | V | value,
|  | ITERATOR const & | i,
|  | DIFFERENCE | d |
| ) |  |  | const

Set value of the red component at an offset. The type `V` of the passed in `value` is automatically converted to `value_type`.

template<class V, class ITERATOR>
void set | ( | V | value,
|  | ITERATOR const & | i |
| ) |  |  | const

Set value of the red component. The type `V` of the passed in `value` is automatically converted to `value_type`.

The documentation for this class was generated from the following file:

- vigra/rgbvalue.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)